Source: @LDAS_TOOLS_AL_SWIG_PACKAGE_NAME@
Section: science
Priority: optional
Maintainer: Edward Maros <ed.maros@ligo.org>
Homepage: @PACKAGE_URL@
Build-Depends: debhelper-compat (= 13),
    dh-python,
    cmake,
    pkg-config,
    swig (>= @LDAS_TOOLS_SWIG_VERSION@),
    python3,
    python3-dev,
    ldas-tools-cmake (>= @LDAS_TOOLS_CMAKE_VERSION@),
    ldas-tools-al-dev (>= @LDAS_TOOLS_AL_VERSION@)
Standards-Version: 4.6.2
Rules-Requires-Root: no
X-Python3-Version: >= 3.2

#========================================================================
Package:      @LDAS_TOOLS_AL_SWIG_PACKAGE_NAME@
Section:      libdevel
Architecture: any
Depends:
    ldas-tools-al-dev (>= @LDAS_TOOLS_AL_VERSION@),
    ${misc:Depends},
    ${python3:Depends}
Conflicts: ldas-tools-al-dev (<= 2.6.1 )
Description: SWIG interface for the LDAS Tools abstraction library
 This package provides the SWIG header files describing the extension
 interface to the LDAS Tools frameCPP abstraction library

#========================================================================
Package:      python3-ldas-tools-al
Section:      python
Architecture: any
Depends:
    ldas-tools-al (>= @LDAS_TOOLS_AL_VERSION@),
    ${misc:Depends},
    ${python3:Depends}
Provides: ldas-tools-al-python3
Conflicts: ldas-tools-al-python3
Replaces: ldas-tools-al-python3
Description: Python 3 binding for the LDAS Tools abstraction library
 This package provides the python language extensions to ldas-tools-al for Python 3.
